Zoom H4n 1.72 -or lower- version needed urgently :/

serhat erkan

New member
Mar 9, 2020
3
0
1
39
istanbul
Hi all.
Since i've updated my firmware with 1.90 , my precious zoom h4n is not working properly.. only way for me is to get back to an older version. I m writing this in hope for an help. Thanks